Subject: Re: NFS and Network Driver Question

From: Bob Wirka <[email-masked]>
Date: Wed, 20 Oct 2004 10:47:11 -0500

Yes, you are correct; thank you.

So now I've got an embedded x86 system that boots from a (detachable) 
floppy drive to the root file system on my laptop host. Syslinux works 
very well for the boot disk function.

This system is very cool; it will be used to initialize new units in 
production, and for providing a platform for easy debugging of applications.

The lessons learned here will also be used on the embedded ARM projects.

Thanks again to all who have helped.

Best regards,

Bob Wirka
Realtime Control Works

Michael Richardson wrote:

>-----BEGIN PGP SIGNED MESSAGE-----
>
>
>  
>
>>>>>>"Bob" == Bob Wirka <[email-masked]> writes:
>>>>>>            
>>>>>>
>    Bob> Ok, now I feel like I'm taking crazy pills...
>
>    Bob> The embedded system boots up and mounts the root file system on
>    Bob> my host laptop. The 'rc.sysinit' startup script executes the
>    Bob> command 'mount -a' which should mount /proc, /dev/pts, and
>    Bob> /dev/shm, as listed in /etc/fstab. When executed, that command
>    Bob> returns "mount: only root can do that".
>
>    Bob> When I get to the bash prompt, 'whoami' reports that I am,
>    Bob> indeed, root. A 'mount -a' from the command prompt gives the
>    Bob> same result; it doesn't think I'm root for the mount command.
>
>  The mount command is perhaps setuid root, but you aren't mounting the
>root file system in a way that permits it to be identified as such.
>  Or, the file is in fact not owned by root, and is in fact setuid not-root.
>
>- --
>]     "Elmo went to the wrong fundraiser" - The Simpson         |  firewalls  [
>]   Michael Richardson,    Xelerance Corporation, Ottawa, ON    |net architect[
>] [email-masked]      http://www.sandelman.ottawa.on.ca/mcr/ |device driver[
>] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [
>-----BEGIN PGP SIGNATURE-----
>Version: GnuPG v1.2.2 (GNU/Linux)
>Comment: Finger me for keys
>
>iQCVAwUBQXW3KIqHRg3pndX9AQFERwQAhUpzaFDzVch+W2TEU2SFDtSJZObQ5yZ3
>7hhVtiDI5igzO/MHkipXm89LrNnfwSg+6jfMIo8MlWU+nuqHFWiHkrPeWj8jaFmd
>QQ+aHhryTn06fyU4UQg1OjEpcHHvo4pLr8lqPwebMjL2JKgk8CM/X2d1N6m9xT+2
>Nx8H0Rq84sM=
>=Dso2
>-----END PGP SIGNATURE-----
>
>
>  
>